com.pivotal.gemfirexd.internal.client.net

## Class EbcdicCcsidManager

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.CcsidManager
  - - com.pivotal.gemfirexd.internal.client.net.EbcdicCcsidManager

    public class EbcdicCcsidManager
    extends CcsidManager

A concrete implementation of a CcsidMgr used to convert between Java UCS2 and Ebcdic as needed to handle character DDM Parameters. This implementation only supports converting from the ASCII invariant of UNICODE to Ebcdic. This should be fine since this class is intended for converting DDM Parameter data only.

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.CcsidManager

`space_`

### Constructor Summary

Constructors
Constructor and Description
`EbcdicCcsidManager()`

### Method Summary

Methods
`byte[]` `convertFromUCS2(String sourceString, Agent agent)`
`int` `convertFromUCS2(String sourceString, byte[] buffer, int offset, Agent agent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EbcdicCcsidManager

    public EbcdicCcsidManager()

### Method Detail

#### convertFromUCS2

    public byte[] convertFromUCS2(String sourceString,
                         Agent agent)
                           throws SqlException

Specified by:
  `convertFromUCS2` in class `CcsidManager`
Throws:
  `SqlException`

#### convertFromUCS2

    public int convertFromUCS2(String sourceString,
                      byte[] buffer,
                      int offset,
                      Agent agent)
                        throws SqlException

Specified by:
  `convertFromUCS2` in class `CcsidManager`
Throws:
  `SqlException`